/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : recvdata_filecreation.c
 *   작 성 자 : 김남훈
 *   작 성 일 : 2012.09.03
 *   수 정 일 :
 *   설    명 : 수신한 데이타를 파일로 생성
 *
 *========================================================================
*/

/*==========================================================================
 * Head  정의
 *=========================================================================*/

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <time.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/msg.h>
#include <unistd.h>

#include "hi_ctrl.h"
#include "snd_rcv_knd.h"
#include "hi_packet_format.h"
#include "dir_path.h"
#include "file_no.h"
//#include "passraw.h"
//#include "cls_lane.h"
//#include "rpr_spec.h"
//#include "ofc_hnd.h"
#include "tagbl_struc.h"
//#include "tag_iss_pay.h"
//#include "tag_chrg.h"
#include "mtnc.h"
//#include "tag_data.h"
#include "file_lb.h"
#include "func_list.h"
#include "path_def.h"
#include "lb_func_list.h"

/*
 *========================================================================
 *
 *   함 수 명 : tagblrq_send()
 *   작 성 자 : 김남훈
 *   작 성 일 : 2012.09.03
 *   수 정 일 :
 *   설    명 : 대용량 전송프로세스로 전송요청
 *
 *========================================================================
*/

int tagblrq_send(rehnd)
struct    bl_struct    *rehnd;
{
    int    len;
    char   svrname[30]; memset(svrname, 0x00, sizeof(svrname));

    while(1)
    {
        sprintf(svrname, "%s%.2s", PROC_TAGBL, hi_comm_ctrl.bas_tbl.plz_id);
        hi_comm_ctrl.tbl_mngt_iffd = lb_con_hnd_svr2(svrname, hi_comm_ctrl.lane_no);
        if ((int)hi_comm_ctrl.tbl_mngt_iffd < 0)
        {
            printf("대용량 전송프로세스 접속실패\n");
            continue;
        }

        len = write(hi_comm_ctrl.tbl_mngt_iffd, rehnd, sizeof(struct bl_struct));
        close(hi_comm_ctrl.tbl_mngt_iffd);

        if (len == sizeof(struct bl_struct)) break;
    }

    return (0);
}
